PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->load()

DOMDocument->load() -- Load XML from a file

## Description

class DOMDocument {
bool load ( string filename )
}

Loads an XML document from a file.

This method may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

filename

  The path to the XML document.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Creating a Document
`<?php $doc = DOMDocument::load('book.xml'); echo $doc->saveXML(); $doc = new DOMDocument(); $doc->load('book.xml'); echo $doc->saveXML(); ?>`

## 參考

DOMDocument->loadXML()
DOMDocument->save()
DOMDocument->saveXML()

前一頁 | 內容 | 下一頁
DOMDocument->importNode() | 上一層 | DOMDocument->loadHTML()